import '../models/attendance_login_request.dart';
import '../models/attendance_response_model.dart';
import '../repositories/attendance_repository.dart';

//always remmber that the usecase uses the repo

class AttendanceLoginUsecase {
  final AttendanceRepository repository;

  AttendanceLoginUsecase({required this.repository});

  Future<AttendanceResponseModel> call(AttendanceLoginRequest request) {
    return repository.login(request);
  }
}
